# Class MarkAction

java.lang.Object
org.eclipse.core.commands.common.EventManager
org.eclipse.jface.action.AbstractAction
org.eclipse.jface.action.Action
org.eclipse.ui.texteditor.ResourceAction
org.eclipse.ui.texteditor.TextEditorAction
org.eclipse.ui.texteditor.MarkAction

All Implemented Interfaces:
  `IAction, IUpdate`

public class MarkAction extends TextEditorAction
An action to handle emacs-like marked regions.

Since:
  2.0

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CLEAR_MARK`
Clears the mark.
`static final int`
`SET_MARK`
Sets the mark.
`static final int`
`SWAP_MARK`
Swaps the mark and the cursor position.

### Fields inherited from interface IAction

`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

## Constructor Summary

Constructors
Constructor
Description
`MarkAction(ResourceBundle bundle, String prefix, ITextEditor editor, int type)`
Constructor for MarkAction.

## Method Summary

Modifier and Type
Method
Description
`void`
`run()`
The default implementation of this `IAction` method does nothing.

### Methods inherited from class TextEditorAction

`canModifyEditor, getTextEditor, setEditor, update, validateEditorInputState`

### Methods inherited from class ResourceAction

`getString, initialize, setHelpContextId`

### Methods inherited from class Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

### Methods inherited from class AbstractAction

`addPropertyChangeListener, firePropertyChange, firePropertyChange, removePropertyChangeListener`

### Methods inherited from class EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### SET_MARK

public static final int SET_MARK
Sets the mark.

See Also:
  - Constant Field Values

### CLEAR_MARK

public static final int CLEAR_MARK
Clears the mark.

See Also:
  - Constant Field Values

### SWAP_MARK

public static final int SWAP_MARK
Swaps the mark and the cursor position.

See Also:
  - Constant Field Values

## Constructor Details

### MarkAction

public MarkAction(ResourceBundle bundle, String prefix, ITextEditor editor, int type)
Constructor for MarkAction.

Parameters:
  `bundle` - the resource bundle
  `prefix` - a prefix to be prepended to the various resource keys (described in `ResourceAction` constructor), or `null` if none
  `editor` - the text editor
  `type` - the mark action type, must be one of `SET_MARK`, `CLEAR_MARK` or `SWAP_MARK`.

## Method Details

### run

public void run()
Description copied from class: `Action`
The default implementation of this `IAction` method does nothing. Subclasses should override this method if they do not need information from the triggering event, or override `runWithEvent(Event)` if they do.

Specified by:
  `run` in interface `IAction`
Overrides:
  `run` in class `Action`
See Also:
  - How radio buttons are handled
  - How check boxes are handled